BOOTPTEST(8) | System Manager's Manual | BOOTPTEST(8)

# NAME

bootptest - send BOOTP queries and print responses

# SYNOPSIS

bootptest [ -f bootfile ] [ -h ] [ -m magic_number ] server-name [template-file]

# DESCRIPTION

bootptest sends BOOTP requests to the host specified as server-name at one-second intervals until either a response is received, or until ten requests have gone unanswered. After a response is received, bootptest will wait one more second listening for additional responses.

# OPTIONS

-f bootfile
  Fill in the boot file field of the request with bootfile.
-h
  Use the hardware (Ethernet) address to identify the client. By default, the IP address is copied into the request indicating that this client already knows its IP address.
-m magic_number
  Initialize the first word of the vendor options field with magic_number.

A template-file may be specified, in which case bootptest uses the (binary) contents of this file to initialize the options area of the request packet.

# CREDITS

The bootptest program is a combination of original and derived works. The main program module (bootptest.c) is original work by Gordon W. Ross <gwr@mc.com>. The packet printing module (print-bootp.c) is a slightly modified version of a file from the BSD tcpdump program.

This program includes software developed by the University of California, Lawrence Berkeley Laboratory and its contributors. (See the copyright notice in print-bootp.c)

# SEE ALSO

bootpd(8)

# REFERENCES

RFC951
  BOOTSTRAP PROTOCOL (BOOTP)
RFC1048
  BOOTP Vendor Information Extensions

10 June 1993 | MAINTENANCE COMMANDS